<?php

namespace App\Models\Product;

use Illuminate\Support\Collection;

use App\Models\Invoice;
use App\Models\Service\Host as ServiceHost;
use App\Models\Supplier\Host as SupplierHost;

final class Host extends Type
{
	protected $table = 'product_host';

	// The model that is referenced when this product is ordered
	protected string $order_model = ServiceHost::class;

	// When comparing billing/pricing/charging, what metric to normalise to
	const DefaultBill = Invoice::BILL_MONTHLY;
	// The model that the supplier supplies
	const SupplierModel = SupplierHost::class;

	/* INTERFACES */

	public function allowance(): Collection
	{
		// TODO: Implement allowance() method.
	}

	public function allowance_string(): string
	{
		// TODO: Implement allowance_string() method.
		return '';
	}

	public function hasUsage(): bool
	{
		return FALSE;
	}
}